## asmon 0.70-1

=== asmon/Makefile ===

# uncomment the following lines if your using Solaris
#SOLARIS = -D__solaris__
#SOLARIS_LIBS = -lsocket -lkstat
#SOLARIS_OBJS = solaris26.o

LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11 $(SOLARIS_LIBS)
OBJS =  asmon.o $(SOLARIS_OBJS) \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o

.c.o:
	gcc -c -Wall $(SOLARIS) $< -o $*.o

asmon: $(OBJS)
	gcc -o asmon $(OBJS) $(LIBDIR) $(LIBS)

clean::
	for i in $(OBJS) ; do \
		rm -f $$i;\
	done
	rm -f asmon

install::
	cp -f asmon $(DESTDIR)/usr/bin

=== debian/changelog ===
asmon (0.70-1) unstable; urgency=low

  * New upstream release

 -- Eric Evans <eevans@sym-link.com>  Fri, 19 Nov 2004 19:20:41 -0600

asmon (0.60-5) unstable; urgency=low

  * New maintainer, (Closes: #249230).
  * Added patch to support kernel 2.6.
  * Reworked man page.

 -- Eric Evans <eevans@sym-link.com>  Sun, 12 Sep 2004 20:03:21 -0500

asmon (0.60-4) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/control: add dpatch to Build-Depends
  * Added patch submitted by Reid W Barton to change a float to a double to
    handle long uptimes properly (closes: #250940)
  * Added patch submitted by Reid W Barton to fix some display problems under
    certain conditions (closes: #250941)
  * debian/control: added versioned build dependency on debhelper
  * debian/menu: quote everything that isn't tied down

 -- Andrew Pollock <apollock@debian.org>  Sun, 11 Jul 2004 09:47:16 +1000

asmon (0.60-3) unstable; urgency=low

  * Applied patch from Narcis Suteu <nsuteu@telemobil.ro> fixing
    CPU load bar always 100% on PowerPC, thanks!
  * Updated to standards 3.5.6.1 (fixing lintian errors).
  * Updated to DH_COMPAT 3.

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 10 Jan 2003 00:17:43 +0100

asmon (0.60-2) unstable; urgency=low

  * Fixed Depends to include xlibs (closes: #101418).
  * Removed INSTALL file from package (lintian error).
  * Added Build-Depends. 

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 23 Jun 2001 15:32:29 +0200

asmon (0.60-1) unstable; urgency=low

  * Initial Release.

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 20 Dec 2000 10:47:01 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: asmon
Section: x11
Priority: optional
Build-Depends: debhelper (>= 3), xlibs-dev
Maintainer: Eric Evans <eevans@sym-link.com>
Standards-Version: 3.6.1

Package: asmon
Architecture: any
Depends: ${shlibs:Depends}
Description: system resource monitor dockapp for Afterstep and WindowMaker
 Asmon is a wharfable/dockable application that with meters detailing CPU, 
 memory, swap, and X mem usage. It also includes the exact numbers for 
 load average, mem, swap and X mem usage. Asmon was developed to use very 
 little CPU itself.
 .
 Homepage: http://rio.vg/asmon/

=== debian/rules ===
#!/usr/bin/make -f

# $Id: rules,v 1.2 2004/11/20 01:40:15 eevans Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

package = asmon
PACKAGE = asmon

build: build-stamp
build-stamp:
	dh_testdir
	
	$(MAKE) -C asmon

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) -C asmon clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C asmon install DESTDIR=$(CURDIR)/debian/$(package)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman debian/asmon.1
	dh_installchangelogs Changelog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=2

http://rio.vg/asmon/asmon-(.*)\.tar\.gz

## asmon 0.71

=== asmon/Makefile ===
--- 
+++ 
@@ -19,9 +19,9 @@
 
 clean::
 	for i in $(OBJS) ; do \
-		rm -f $$i;\
+		rm $$i;\
 	done
-	rm -f asmon
+	rm asmon
 
 install::
-	cp -f asmon $(DESTDIR)/usr/bin
+	cp -f asmon /usr/local/bin

=== debian/changelog ===
asmon (0.71-8) unstable; urgency=medium

  * Fix FTCBFS: (Closes: #933050, Thanks Helmut Grohne)
    + Make gcc substituable.
    + Let dh_auto_build pass cross tools to make.

 -- Eric Evans <eevans@debian.org>  Sun, 04 Aug 2019 15:30:12 -0500

asmon (0.71-7) unstable; urgency=medium

  * Update source package to format 3.0 (quilt)
  * Convert debian/rules to dh command sequencer

 -- Eric Evans <eevans@debian.org>  Tue, 23 Jul 2019 12:29:22 -0500

asmon (0.71-6) unstable; urgency=medium

  * Correct help synopsis misspelling (Closes: #773002)
  * Acknowledge non-maintainer upload.

 -- Eric Evans <eevans@debian.org>  Sun, 21 Jul 2019 18:22:04 -0500

asmon (0.71-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5":
    apply patch from Martin Michlmayr to use GNU89 inline semantics.
    (Closes: #777780)

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Jul 2015 17:00:10 +0200

asmon (0.71-5) unstable; urgency=low

  * Update for recent kernels, (Closes: #639528).  Thanks Andrew Deason.

 -- Eric Evans <eevans@debian.org>  Tue, 17 Apr 2012 18:56:58 -0500

asmon (0.71-4) unstable; urgency=low

  * Updated maintainer email and Vcs-* control fields.
  * Discontinued use of dpatch.

 -- Eric Evans <eevans@debian.org>  Sat, 12 Apr 2008 18:54:44 -0500

asmon (0.71-3) unstable; urgency=low

  * Working debian/watch file, (Closes: #450265). 

 -- Eric Evans <eevans@sym-link.com>  Sat, 24 Nov 2007 18:21:07 -0600

asmon (0.71-2) unstable; urgency=low

  * Relocate menu entry to Applications/System/Monitoring, 
    (Closes: #438101).

 -- Eric Evans <eevans@sym-link.com>  Tue, 18 Sep 2007 22:05:36 -0500

asmon (0.71-1) unstable; urgency=low

  * New upstream release.
  * Updated watch file with working urls.
  * Removed 414923.dpatch as it has now been merged upstream.
  * Introduced makefile_fix.dpatch to apply changes previously made from
    the diff.gz.
  * Change section for the new menu hierarchy.

 -- Eric Evans <eevans@sym-link.com>  Sun, 29 Jul 2007 17:50:50 -0500

asmon (0.70-4) unstable; urgency=low

  * Added patch correcting uptime display corruption, (Closes: #414923).
  * Updated to latest standards version.
  * Removed obsolete xlibs-dev build dependencies.

 -- Eric Evans <eevans@sym-link.com>  Wed, 20 Jun 2007 12:16:11 -0500

asmon (0.70-3) unstable; urgency=low

  * Dropped uneeded build dep versioning on libx11-dev, libxpm-dev, 
    and libext-dev, and or'd xlibs-dev to make backporting easier, 
    (Closes: #348239).

 -- Eric Evans <eevans@sym-link.com>  Sun, 15 Jan 2006 21:13:15 -0600

asmon (0.70-2) unstable; urgency=low

  * Build depend on libx11-dev, libxpm-dev, and libxext-dev instead 
    of the xlibs-dev transitional package.
  * Remove cruft from man page, (Closes: #328110)

 -- Eric Evans <eevans@sym-link.com>  Sat, 31 Dec 2005 17:01:26 -0600

=== debian/control ===
Source: asmon
Section: x11
Priority: optional
Build-Depends: debhelper-compat (=12), libx11-dev, libxpm-dev, libxext-dev
Maintainer: Eric Evans <eevans@debian.org>
Homepage: http://rio.vg/asmon/
Vcs-Browser: https://salsa.debian.org/eevans/asmon
Vcs-Git: https://salsa.debian.org/eevans/asmon.git
Standards-Version: 4.4.0

Package: asmon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: system resource monitor dockapp for Afterstep and WindowMaker
 Asmon is a wharfable/dockable application that with meters detailing CPU, 
 memory, swap, and X mem usage. It also includes the exact numbers for 
 load average, mem, swap and X mem usage. Asmon was developed to use very 
 little CPU itself.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=asmon
